Subject: Re: linux-next: add utrace tree

From: Linus Torvalds <[email-masked]>
Date: Mon, 25 Jan 2010 16:07:21 -0800 (PST)

On Tue, 26 Jan 2010, Renzo Davoli wrote:
> 
> The solution is that everybody can code his/her optimized kernel/user 
> interface for tracing in his/her kernel module, i.e. utrace.

I don't think people understand. That is simply not a "solution". That is 
a PROBLEM. The thing you describe is an absolute disaster. Which is 
exactly why I rant against it.

The last thing we want to have is "here, take this, and make your own 
kernel module mess around it optimized for your particular crazy 
scenario".

But every SINGLE post in this thread that has argued for utrace has argued 
exactly this way. 

			Linus